from eventAPI import showPicture, playSpecAudio, optionInput, tickGame
from SDLKeys import SDLK_SPACE

def fireEvent(e):
    showPicture(e, "Barracks")
    playSpecAudio(e, "Barracks")
    optionInput(e,
        ["You enter a room filled with weapons, armor, and guards. They glower at you, their simple gaze inviting you to leave."],
        ["(SPACE) to Exit"], [SDLK_SPACE])
    tickGame(e, 60)
    return 0
